$(document).ready(function (){
  document.formEnvios.dtFecIni.value = dateToday();
  document.formEnvios.dtFecFin.value = dateToday();
});
function buscarEnvios(b, a){
  const parametros = new FormData();
  parametros.append("dtFecIni", document.formEnvios.dtFecIni.value);
  parametros.append("dtFecFin", document.formEnvios.dtFecFin.value);
  parametros.append("txtNom", document.formEnvios.txtNom.value);
  parametros.append("txtNomPed", document.formEnvios.txtNomPed.value);

  $.ajax({
    data:  parametros,
    url:   "busEnvios/data.php",
    type:  "post",
    contentType: false,
    processData: false,
    beforeSend: function () {
      alLoad("Consultando...")
    },
    success: function (jsonPhp) {
      const jsonJS = JSON.parse(jsonPhp);

      tblClear("tblEnvios");
      jsonJS.facturas.forEach(function(i){
        addRowEnvios(i.fact_idinterno, i.fact_fec, i.fact_nom, i.fact_nomped, i.fact_tot);
      });

      $("#tblEnvios tbody tr").dblclick(function() {
        selecEnvios(a, $(this));
      });

      $("#tblEnvios tbody #btnSelecEnvios").click(function() {
        selecEnvios(a, $(this).parents("tr"));
      });

      alClose();
    }
  });
}

function addRowEnvios(numero, fec, nom, nomped, tot) {
  const markup =  "<tr>"
                    +"<td>"+numero+"</td>"
                    +"<td style='width: 35px;'>"+YMDToDMY(fec)+"</td>"
                    +"<td>"+nom+"</td>"
                    +"<td>"+nomped+"</td>"
                    +"<td class='text-right'>"+tot+"</td>"
                    +"<td><button class='btn btn-sm btn-warning badge' style='font-size:14px;' id='btnSelecEnvios'>"+textBtnSelec+"</button></td>"
                  +"</tr>";
  $("#tblEnvios tbody").append(markup);
}

function selecEnvios(a, tr) {
  $("#pills-"+a+"-tab").click();
  $("#"+inputEnvio).val(tr.find("td:eq(0)").text());
  $("#"+inputEnvio).trigger("change");

  tblClear("tblEnvios");
  document.formEnvios.txtNom.value = "";
}